Bug 718415 - Review Request: sushi - A quick previewer for the Nautilus
Review Request: sushi - A quick previewer for the Nautilus
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-02 12:10 EDT by Elad Alfassa
Modified: 2011-07-12 03:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-12 03:01:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bnocera: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Elad Alfassa 2011-07-02 12:10:41 EDT
Spec URL: http://elad.fedorapeople.org/reviews/sushi.spec
SRPM URL: http://elad.fedorapeople.org/reviews/sushi-0.0.3-1.fc16.src.rpm
Description: This is sushi, a quick previewer for the Nautilus, the GNOME desktop file manager.
It is part of gnome 3.2 file previewing feature, https://live.gnome.org/ThreePointOne/Features/FilePreviewing

rpmlint output:
[elad@elephant result]$ rpmlint *rpm
sushi.x86_64: W: no-manual-page-for-binary sushi
sushi-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.
Comment 1 Yanchuan Nian 2011-07-03 04:28:16 EDT
1.The "Group:" tag is needed.
2.AUTHORS,NEWS and TODO are also documentation files,so they should be listed in %doc
Comment 2 Elad Alfassa 2011-07-03 05:15:16 EDT
(In reply to comment #1)
> 1.The "Group:" tag is needed.
rpmdev-newspec template didn't have a group tag. Also I didn't see anything about group tag in the packaging guidelines, so please point me to the relevant guideline if such guideline even exist.
> 2.AUTHORS,NEWS and TODO are also documentation files,so they should be listed
> in %doc
Fixed.

Spec URL: http://elad.fedorapeople.org/reviews/sushi.spec
SRPM URL: http://elad.fedorapeople.org/reviews/sushi-0.0.3-2.fc16.src.rpm



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Yanchuan Nian 2011-07-03 07:42:31 EDT
Yes, there is no group tag in the rpmdev-newspec template,but if the specfile created by vi, there is a group tag indeed.Every package belongs to a certain group.You can see the example.
https://fedoraproject.org/wiki/How_to_create_an_RPM_package#An_example:_eject
Comment 4 Elad Alfassa 2011-07-03 07:45:37 EDT
(In reply to comment #3)
>Every package belongs to a certain group.
Non of our utilities (yum, packagekit, anaconda) uses the rpm group tag.
I don't think this howto section is up-to-data, and I didn't see anything about it in https://fedoraproject.org/wiki/PackagingGuidelines so unless there is a specific guideline that says I must have a group tag, I won't add one.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Yanchuan Nian 2011-07-03 08:09:20 EDT
ok, maybe someone else  knows more about it. In my opinion, it's better to add this tag if it is not must,just my opinion.
Comment 6 Bastien Nocera 2011-07-04 06:21:19 EDT
(In reply to comment #4)
> (In reply to comment #3)
> >Every package belongs to a certain group.
> Non of our utilities (yum, packagekit, anaconda) uses the rpm group tag.
> I don't think this howto section is up-to-data, and I didn't see anything about
> it in https://fedoraproject.org/wiki/PackagingGuidelines so unless there is a
> specific guideline that says I must have a group tag, I won't add one.

Just add it already. This isn't really the place to take a stance on packaging guidelines.
Comment 7 Bastien Nocera 2011-07-04 06:37:26 EDT
sushi.src:71: W: macro-in-%changelog %doc

Don't use macros there, it won't work as you expect.

Built fine in scratch, rpmlint warnings for the binary packages are pretty bogus:

sushi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsushi-1.0.so.0.0.0 /usr/lib64/libgirepository-1.0.so.1
sushi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsushi-1.0.so.0.0.0 /usr/lib64/libffi.so.5
sushi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsushi-1.0.so.0.0.0 /usr/lib64/libgjs-dbus.so.0
sushi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsushi-1.0.so.0.0.0 /usr/lib64/libgjs.so.0
sushi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsushi-1.0.so.0.0.0 /lib64/libdbus-1.so.3
sushi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsushi-1.0.so.0.0.0 /lib64/libpthread.so.0
sushi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsushi-1.0.so.0.0.0 /usr/lib64/libclutter-gtk-1.0.so.0
sushi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsushi-1.0.so.0.0.0 /usr/lib64/libclutter-gst-1.0.so.0
sushi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsushi-1.0.so.0.0.0 /usr/lib64/libgstbase-0.10.so.0
sushi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsushi-1.0.so.0.0.0 /usr/lib64/libjson-glib-1.0.so.0
sushi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsushi-1.0.so.0.0.0 /usr/lib64/libGL.so.1
sushi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsushi-1.0.so.0.0.0 /usr/lib64/libdrm.so.2
sushi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsushi-1.0.so.0.0.0 /usr/lib64/libX11.so.6
sushi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsushi-1.0.so.0.0.0 /usr/lib64/libXext.so.6
sushi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsushi-1.0.so.0.0.0 /usr/lib64/libXdamage.so.1
sushi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsushi-1.0.so.0.0.0 /usr/lib64/libXcomposite.so.1
sushi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsushi-1.0.so.0.0.0 /usr/lib64/libXfixes.so.3
sushi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsushi-1.0.so.0.0.0 /usr/lib64/libxml2.so.2
sushi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsushi-1.0.so.0.0.0 /usr/lib64/libwebkitgtk-3.0.so.0
sushi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsushi-1.0.so.0.0.0 /usr/lib64/libsoup-2.4.so.1
sushi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsushi-1.0.so.0.0.0 /usr/lib64/libatk-1.0.so.0
sushi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsushi-1.0.so.0.0.0 /usr/lib64/libpangoft2-1.0.so.0
sushi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsushi-1.0.so.0.0.0 /usr/lib64/libpangocairo-1.0.so.0
sushi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsushi-1.0.so.0.0.0 /usr/lib64/libpng12.so.0
sushi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsushi-1.0.so.0.0.0 /lib64/libm.so.6
sushi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsushi-1.0.so.0.0.0 /usr/lib64/libcairo-gobject.so.2
sushi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsushi-1.0.so.0.0.0 /usr/lib64/libfontconfig.so.1
sushi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsushi-1.0.so.0.0.0 /lib64/libgmodule-2.0.so.0
sushi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsushi-1.0.so.0.0.0 /lib64/libgthread-2.0.so.0
sushi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libsushi-1.0.so.0.0.0 /lib64/librt.so.1
sushi.x86_64: W: no-manual-page-for-binary sushi
1 packages and 0 specfiles checked; 0 errors, 31 warnings.
Comment 8 Bastien Nocera 2011-07-04 06:56:38 EDT
Spec file looks mostly correct.


> This is %{name}, 

Remove the use of macros in description fields:


> the Nautilus
Nope, just nautilus.
Comment 9 Elad Alfassa 2011-07-04 08:12:00 EDT
(In reply to comment #8)
> Spec file looks mostly correct.
> 
> 
> > This is %{name}, 
> 
> Remove the use of macros in description fields:
> 
Ok
> 
> > the Nautilus
> Nope, just nautilus.
Oops, how did that "the" got there?
Oh, It's from upstream README.
(In reply to comment #6)
> Just add it already. This isn't really the place to take a stance on packaging
> guidelines.
If you say so.

Spec URL: http://elad.fedorapeople.org/reviews/sushi.spec
SRPM URL: http://elad.fedorapeople.org/reviews/sushi-0.0.3-3.fc16.src.rpm




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 10 Elad Alfassa 2011-07-09 04:57:54 EDT
Updated to latest upstream version:
Spec URL: http://elad.fedorapeople.org/reviews/sushi.spec
SRPM URL: http://elad.fedorapeople.org/reviews/sushi-0.0.4-1.fc16.src.rpm




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Bastien Nocera 2011-07-11 05:42:32 EDT
Add a period to the description, to make it a sentence.

Looks good!
Comment 12 Elad Alfassa 2011-07-11 08:32:19 EDT
New Package SCM Request
=======================
Package Name: sushi
Short Description: A quick previewer for the Nautilus
Owners: elad
Branches: 
InitialCC: 



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 13 Gwyn Ciesla 2011-07-11 11:00:20 EDT
Git done (by process-git-requests).
Comment 14 Elad Alfassa 2011-07-12 03:01:32 EDT
Built on rawhide.
Closing :)



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.